package com.flossom.system.service.impl;

import java.util.List;

import com.flossom.common.core.domain.entity.IntegralGlobal;
import com.flossom.common.core.mapper.IntegralGlobalMapper;
import com.flossom.common.core.utils.DateUtils;
import com.flossom.common.security.utils.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.flossom.system.service.IIntegralGlobalService;

/**
 * 奖励积分Service业务层处理
 *
 * @author flossom
 * @date 2023-12-11
 */
@Service
public class IntegralGlobalServiceImpl implements IIntegralGlobalService
{
    @Autowired
    private IntegralGlobalMapper integralGlobalMapper;

    /**
     * 查询奖励积分
     *
     * @param id 奖励积分主键
     * @return 奖励积分
     */
    @Override
    public IntegralGlobal selectIntegralGlobalById(Long id)
    {
        return integralGlobalMapper.selectIntegralGlobalById(id);
    }

    /**
     * 查询奖励积分列表
     *
     * @param integralGlobal 奖励积分
     * @return 奖励积分
     */
    @Override
    public List<IntegralGlobal> selectIntegralGlobalList(IntegralGlobal integralGlobal)
    {
        return integralGlobalMapper.selectIntegralGlobalList(integralGlobal);
    }

    /**
     * 新增奖励积分
     *
     * @param integralGlobal 奖励积分
     * @return 结果
     */
    @Override
    public int insertIntegralGlobal(IntegralGlobal integralGlobal)
    {
        integralGlobal.setCreateBy(SecurityUtils.getLoginUser().getUsername());
        integralGlobal.setCreateTime(DateUtils.getNowDate());
        return integralGlobalMapper.insertIntegralGlobal(integralGlobal);
    }

    /**
     * 修改奖励积分
     *
     * @param integralGlobal 奖励积分
     * @return 结果
     */
    @Override
    public int updateIntegralGlobal(IntegralGlobal integralGlobal)
    {
        integralGlobal.setUpdateBy(SecurityUtils.getLoginUser().getUsername());
        integralGlobal.setUpdateTime(DateUtils.getNowDate());
        integralGlobal.setUpdateTime(DateUtils.getNowDate());
        return integralGlobalMapper.updateIntegralGlobal(integralGlobal);
    }

    /**
     * 批量删除奖励积分
     *
     * @param ids 需要删除的奖励积分主键
     * @return 结果
     */
    @Override
    public int deleteIntegralGlobalByIds(Long[] ids)
    {
        return integralGlobalMapper.deleteIntegralGlobalByIds(ids);
    }

    /**
     * 删除奖励积分信息
     *
     * @param id 奖励积分主键
     * @return 结果
     */
    @Override
    public int deleteIntegralGlobalById(Long id)
    {
        return integralGlobalMapper.deleteIntegralGlobalById(id);
    }
}
